package scenes{
	import jp.progression.casts.*;
	import jp.progression.commands.display.*;
	import jp.progression.commands.lists.*;
	import jp.progression.commands.managers.*;
	import jp.progression.commands.media.*;
	import jp.progression.commands.net.*;
	import jp.progression.commands.tweens.*;
	import jp.progression.commands.*;
	import jp.progression.data.*;
	import jp.progression.events.*;
	import jp.progression.executors.*;
	import jp.progression.scenes.*;
	import ui.AboutButton;
	import ui.HomeButton;
	import ui.ProgressionButton;
	
	/**
	 * ...
	 * @author ...
	 */
	public class IndexScene extends SceneObject {
		private var aboutScene:AboutScene;
		private var aboutButton:AboutButton;
		private var homeButton:HomeButton;
		private var progressionButton:ProgressionButton;
		/**
		 * 新しい IndexScene インスタンスを作成します。
		 */
		public function IndexScene() {
			// シーンタイトルを設定します。
			title = "Project_sample";
			aboutScene = new AboutScene();
			aboutScene.name = "about";
			// 呼び出し元のIndexSceneに引数で設定したAboutSceneが繋がる
			addScene( aboutScene );
			aboutButton = new AboutButton();
			aboutButton.y = 202;
			homeButton = new HomeButton();
			homeButton.y = 150;
			progressionButton = new ProgressionButton();
			progressionButton.x = 10;
			progressionButton.y = 446;
		}
		
		/**
		 * シーン移動時に目的地がシーンオブジェクト自身もしくは子階層だった場合に、階層が変更された直後に送出されます。
		 * このイベント処理の実行中には、ExecutorObject を使用した非同期処理が行えます。
		 */
		override protected function atSceneLoad():void {
			addCommand(
				new AddChild( container , aboutButton ),
				new AddChild( container , homeButton ),
				new AddChild( container , progressionButton )
			);
		}
		
		/**
		 * シーンオブジェクト自身が目的地だった場合に、到達した瞬間に送出されます。
		 * このイベント処理の実行中には、ExecutorObject を使用した非同期処理が行えます。
		 */
		override protected function atSceneInit():void {
			addCommand(
			);
		}
		
		/**
		 * シーンオブジェクト自身が出発地だった場合に、移動を開始した瞬間に送出されます。
		 * このイベント処理の実行中には、ExecutorObject を使用した非同期処理が行えます。
		 */
		override protected function atSceneGoto():void {
			addCommand(
			);
		}
		
		/**
		 * シーン移動時に目的地がシーンオブジェクト自身もしくは親階層だった場合に、階層が変更される直前に送出されます。
		 * このイベント処理の実行中には、ExecutorObject を使用した非同期処理が行えます。
		 */
		override protected function atSceneUnload():void {
			addCommand(
			);
		}
	}
}
